POST /portfolio_notes

Creates a portfolio note for a portfolio company profile.

Public API clients must send plaintext or markdown content as a string.

application/json

Body Required

  • portfolio_note object
    Hide portfolio_note attributes Show portfolio_note attributes object
    • name string Required

      Name/title of the portfolio note

    • content string Required

      Plaintext or markdown portfolio note content as a string.

    • portfolio_company_profile_id string(uuid) Required

      ID of the portfolio company profile to attach the note to

Responses

  • 201 application/json

    Portfolio note successfully created

    Hide response attribute Show response attribute object
    • portfolio_note object
      Hide portfolio_note attributes Show portfolio_note attributes object
      • id string(uuid) Required

        Unique identifier for the portfolio note

      • name string Required

        Name/title of the portfolio note

      • portfolio_company_profile_id string(uuid) Required

        ID of the associated portfolio company profile

      • content string | null Required

        Content of the portfolio note. May be null immediately after create while asynchronous processing completes.

      • created_at string(date-time)

        When the portfolio note was created

  • 400 application/json

    Bad Request - The request is invalid or malformed

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 401 application/json

    Unauthorized - Invalid or missing authentication token

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 403 application/json

    Forbidden - The authenticated user does not have access to the requested resource

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 422 application/json

    Unprocessable Entity - The request is valid but contains semantic errors

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

POST /portfolio_notes
curl \
 --request POST 'https://api.visible.vc/portfolio_notes' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"portfolio_note":{"name":"Board meeting notes","content":"Line one\n- bullet\n","portfolio_company_profile_id":"ec5252fe-9abc-4096-85e9-1374e70a3182"}}'
Request example
{
  "portfolio_note": {
    "name": "Board meeting notes",
    "content": "Line one\n- bullet\n",
    "portfolio_company_profile_id": "ec5252fe-9abc-4096-85e9-1374e70a3182"
  }
}
Response examples (201)
{
  "portfolio_note": {
    "id": "3c5728ed-a09e-4245-bb33-459b67600be3",
    "name": "Board meeting notes",
    "portfolio_company_profile_id": "ec5252fe-9abc-4096-85e9-1374e70a3182",
    "content": null,
    "created_at": "2025-02-01T22:08:21.175Z"
  }
}
Response examples (400)
{
  "errors": [
    {
      "type": "parameter_invalid",
      "field": "filter",
      "message": "must be an object"
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "type": "unauthorized"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "type": "forbidden"
    }
  ]
}
Response examples (422)
{
  "errors": [
    {
      "type": "attribute_invalid",
      "field": "value",
      "message": "required"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "type": "rate_limit_exceeded"
    }
  ]
}